%define	srcver	1.0-pl19

%define	major	1
%define libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Shared libraries for GSM speech compressor
Name:		gsm
Version:	1.0.19
Release:	%mkrel 1
Group:		System/Libraries
License:	distributable
URL:		http://www.quut.com/gsm/
Source0:	http://www.quut.com/gsm/%{name}-%{version}.tar.gz
Patch0:         gsm-1.0.10-dyn.patch
Patch1:         gsm-1.0-pl10-includes.patch
Patch3:         gsm-1.0-pl10-shared.diff
Patch4:         gsm-1.0-pl10-add-includefile.patch

%description
Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%package -n	%{libname}
Summary:	Shared libraries for GSM speech compressor
Group:          System/Libraries

%description -n	%{libname}
Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%package -n	%{develname}
Summary:	Development libraries for a GSM speech compressor
Group:		Development/C
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
Contains header files and development libraries for libgsm, an
implementation of the European GSM 06.10 provisional standard for
full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
(residual pulse excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%prep

%setup -q -n %{name}-%{srcver}
%patch0 -p1
%patch1 -p1 -b .includes
%patch3 -p0 -b .shared
%patch4 -p0 -b .add_h_file

%build
%set_build_flags
%make_build

%install
%makeinstall

ln -snf toast %{buildroot}%{_bindir}/untoast
ln -snf toast %{buildroot}%{_bindir}/tcat

# no static files
find %{buildroot} -name "*.a" -delete

# some apps look for this in /usr/include
ln -s gsm/gsm.h %{buildroot}%{_includedir}/gsm.h

%files
%doc COPYRIGHT ChangeLog* README
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/gsm/
%{_includedir}/gsm.h
%{_mandir}/man3/*


%changelog
* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.0.19-1.mga8
+ Revision: 1647113
- 1.0.19

* Thu Feb 13 2020 umeabot <umeabot> 1.0.18-4.mga8
+ Revision: 1512707
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.0.18-3.mga7
+ Revision: 1298088
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 wally <wally> 1.0.18-2.mga7
+ Revision: 1247228
- create gsm.h symlink to /usr/include/
- drop old obsoletes
- drop static build

* Sat May 19 2018 daviddavid <daviddavid> 1.0.18-1.mga7
+ Revision: 1230458
- new version: 1.0.18
+ kekepower <kekepower>
- Use make_build
+ wally <wally>
- use our build time flags

* Fri Jul 07 2017 luigiwalser <luigiwalser> 1.0.17-1.mga6
+ Revision: 1109379
- 1.0.17
- rediff patch 3

* Fri Nov 11 2016 luigiwalser <luigiwalser> 1.0.16-1.mga6
+ Revision: 1066512
- 1.0.16

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.0.14-1.mga6
+ Revision: 918758
- 1.0.14
- update URL and source URL
- rediff patch 1

* Wed Oct 15 2014 umeabot <umeabot> 1.0.13-9.mga5
+ Revision: 742270
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.13-8.mga5
+ Revision: 679962
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0.13-7.mga4
+ Revision: 540668
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 1.0.13-6.mga4
+ Revision: 494173
- rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.13-5.mga3
+ Revision: 352692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 ahmad <ahmad> 1.0.13-4.mga1
+ Revision: 25872
- drop old/unneeded scriptlets
- imported package gsm


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.13-3mdv2011.0
+ Revision: 605502
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.13-2mdv2010.1
+ Revision: 520115
- rebuilt for 2010.1

* Mon Jun 22 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.13-1mdv2010.0
+ Revision: 387953
- 1.0.13

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.12-4mdv2009.1
+ Revision: 316207
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.12-3mdv2009.0
+ Revision: 221104
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.0.12-2mdv2008.1
+ Revision: 150238
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jul 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.12-1mdv2008.0
+ Revision: 54450
- new version
- new devel library policy
- drop patch 3
- correct provides/obsoletes


* Tue Jan 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.10-13mdv2007.0
+ Revision: 109569
- Update patch4

* Tue Jan 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.10-12mdv2007.1
+ Revision: 109509
- Add patch4: Add a .h file (needed by kcall)

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-11mdv2007.1
+ Revision: 86346
- bunzip patches
- Import gsm

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.10-10mdk
- Rebuild

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-9mdk
- rpmlint fixes

* Sun Sep 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.10-8mdk
- provide a shared lib as well (P3 was taken from dag's package)

* Thu Apr 15 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.10-7mdk
- fix missing includes, use correct args to utime()
- build static library with PIC as it is built into a DSO (gstreamer-plugins)

